FSL_RIO_CONFIG_WRITE(9)

NAME
fsl_rio_config_write - Generate a MPC85xx write maintenance transaction

SYNOPSIS

int fsl_rio_config_write(struct rio_mport * mport, int index, u16 destid, u8 hopcount, u32 offset, int len, u32 val);

ARGUMENTS

mport
    RapidIO master port info

index
    ID of RapdiIO interface

destid
    Destination ID of transaction

hopcount
    Number of hops to target device

offset
    Offset into configuration space

len
    Length (in bytes) of the maintenance transaction

val
    Value to be written

DESCRIPTION

Generates an MPC85xx write maintenance transaction. Returns 0 on success or -EINVAL on failure.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT